body
{
    margin: 0;
    padding: 0;

    padding-bottom: 2em;
}

.flexibleSpacingHeight
{
    flex: 1 1 0;
}
.flexibleSpacing
{
    height: 100%;
    flex: 1 0 0;
}

.hidden { display: none; }
.debug_hidden { display: none; }

.mobileLinkTree > .frameLinkContainer > .linkButton > .hideMobile.A,
.mobileLinkTree > .frameLinkContainer > .linkButton > .hideMobile.B,
.linkTree > .frameLinkContainer > .linkButton > .hideMobile.A,
.linkTree > .frameLinkContainer > .linkButton > .hideMobile.B,
.frameHighlight > .frameLabelContainer > .frameHighlightLinkTree,
.linkTreeElement
{
    display: none;
}

:root
{
    background: var(--color-background-main);
    color: var(--color-text-primary);

    cursor: default;
    user-select: none;

    /* font */
    font-family: var(--font-primary);
    font-size: var(--font-label);
    --font-primary: 'Inter', sans-serif;
    --font-secondary: 'post_no_bills_colomboXBd', sans-serif;

    /* Color Variables */
    --color-text-primary: #EFEFEF;
    --color-text-secondary: #6B6B6B;

    --color-purple: #8F00FF;
    --color-red-light: #A6175A;
    --color-red-dark: #740d3d;

    --color-background-main: #141414;
    --color-background-primary: #202020;
    --color-background-primary-II: #101010;
    --color-background-secondary: #141414;
    --color-background-secondary-II: #1A1A1A;
    --color-background-secondary-III: #111010;
    --color-background-secondary-IV: #121212;
    --color-background-border: #202020;
    --color-background-border-II: #353535;

    --color-assets-DynamicRoads1: #6E99B4;
    --color-assets-DynamicRoads2: #97D7FF;
    --color-assets-DynamicRoads1_filter: #47708A;
    --color-assets-RoadPresetsMVR1: #00573A;
    --color-assets-RoadPresetsMVR1_filter: #51836B;
    --color-assets-RoadPresetsMVR2: #00DA91;
    --color-assets-RoadPresetsMVR3: #689989;
    --color-assets-RoadPresetsMVR4: #367261;
    --color-assets-DynamicTraffic1: #600098;
    --color-assets-DynamicTraffic2: #A100FF;

    --color-assets-Orange1: #ff6600;
    --color-assets-Orange2: #FF9000;

    --filter-roadIcons-white: brightness(0) saturate(100%) invert(66%) sepia(65%) saturate(0%) hue-rotate(180deg) brightness(107%) contrast(86%);
    --filter-roadIcons-yellow: brightness(0) saturate(100%) invert(39%) sepia(67%) saturate(2299%) hue-rotate(1deg) brightness(108%) contrast(106%);

    --filter-assets-DynamicRoads1: brightness(0) saturate(100%) invert(64%) sepia(17%) saturate(768%) hue-rotate(160deg) brightness(88%) contrast(88%);
    --filter-assets-RoadPresetsMVR4: brightness(0) saturate(100%) invert(39%) sepia(21%) saturate(756%) hue-rotate(112deg) brightness(96%) contrast(100%);
    --filter-assets-DynamicTraffic1: brightness(0) saturate(100%) invert(29%) sepia(47%) saturate(4001%) hue-rotate(264deg) brightness(57%) contrast(139%);

    --filter-assets-DynamicRoads1_filter: brightness(0) saturate(100%) invert(41%) sepia(17%) saturate(1029%) hue-rotate(160deg) brightness(94%) contrast(88%);
    --filter-assets-RoadPresetsMVR1_filter: brightness(0) saturate(100%) invert(48%) sepia(18%) saturate(615%) hue-rotate(99deg) brightness(94%) contrast(100%);

    --gradient-menupanel: linear-gradient(0deg, color-mix(in srgb, var(--color-background-secondary-II), transparent 5%) -50%, color-mix(in srgb, var(--color-background-main), transparent 5%) 95% );

    --layout-padding: 5px;
    --layout-gap: 10px;
    --layout-border-radius: 4px;

    --layout-body-spacing: 100px;
    --layout-body-spacing-inner: calc(var(--layout-body-spacing) * 4);
    --layout-border-height: 2px;

    --layout-grid-features-large: 4;
    --layout-grid-features: 5;
    --layout-grid-features-extensions: 4;
    --layout-grid-linkTree: 5;
    --layout-grid-announcements: 3;
    --layout-grid-images-roadPresetsPreview: 6;

    /* docs */
    --layout-docs-menuWidth: 280px;
    --layout-docs-menuEntryHeight: 30px;

    /* menu */
    --layout-menu-height: 40px;
    --layout-menu-tab-width: 270px;
    
    --layout-frames-overview-height: 450px;
    --layout-frames-overview-labels-maxWidth: 800px;

    --layout-frames-linkContainer-height: 50px;
    --layout-frames-linkContainer-elem-width: 140px;

    --layout-frames-featureEntry-row-height: 20px;
    --layout-frames-postInfo-row-height: 30px;

    /* font sizes */
    /* Headings */
    --font-headerLarge: clamp(40px, 4vw, 60px);
    --font-header: clamp(20px, 4vw, 40px);
    --font-headerSmall: clamp(20px, 4vw, 32px);
    --font-subheader: clamp(14px, 2.5vw, 20px);

    /* Labels */
    --font-label_large: clamp(11px, 1.5vw, 16px);
    --font-label_medium: clamp(11px, 1.3vw, 14px);
    --font-label_mediumSmall: clamp(10px, 1.2vw, 13px);
    --font-label_small: clamp(10px, 1.1vw, 12px);

    /* Info text */
    --font-info_large: clamp(11px, 1.2vw, 13px);
    --font-info_small: clamp(10px, 1vw, 11px);

    --font-letter-spacing: clamp(2px, 0.6vw, 8px);

    /* animations */
    --animation-scale-adjust: 1.08;
    --animation-scale-adjust-small: 1.02;
    --animation-scale-adjust-extrasmall: 1.01;
    --animation-appear-cover: 20%;
}

/* road icons */
.roadIconRowParent
{
    display: flex;
    width: fit-content;
    max-width: calc(100% - 2 * var(--layout-gap));
    height: fit-content;
    min-height: 30px;


    gap: var(--layout-gap);
    padding-left: calc(2 * var(--layout-gap));
}

.roadIconRow
{
    display: flex;
    height: fit-content;
    width: 100%;

    gap: var(--layout-gap);
}

.roadIconList
{
    display: flex;
    width: fit-content;
    height: 20px;

    padding: 2px 4px;
    gap: 1px;

    background-color: var(--color-background-primary-II);
}
.roadIconList.premium
{
    margin-left: 0px;
    background-color: var(--color-assets-DynamicRoads1_filter);
    border-radius: var(--layout-border-radius);
}

.RI_lane
{
    height: 100%;
    width: 16px;
}

[data-LM]
{
  display: inline-block;

  height: 100%;
  min-width: fit-content;
  width: fit-content;

  background: center / contain no-repeat;
  background-color: transparent;
  
  vertical-align: middle;
  font-size: 0;

  filter: var(--filter-roadIcons-white);
}

/* One rule per icon — copy-paste friendly */
[data-LM="D_D_L"]  { content: url('/unity-public/icons/roadIcons/roadIcons_LM_double_dashed_left.svg'); }
[data-LM="D_D_R"]  { content: url('/unity-public/icons/roadicons/roadIcons_LM_double_dashed_right.svg'); }
[data-LM="D_D"]  { content: url('/unity-public/icons/roadicons/roadIcons_LM_double_dashed.svg');  }
[data-LM="D_S"]  { content: url('/unity-public/icons/roadicons/roadIcons_LM_double_solid.svg');  }

[data-LM="SL"]  { content: url('/unity-public/icons/roadicons/roadIcons_LM_shoulder.svg');  }

[data-LM="S_S"]  { content: url('/unity-public/icons/roadicons/roadIcons_LM_single_solid.svg');  }
[data-LM="S_D"]  { content: url('/unity-public/icons/roadicons/roadIcons_LM_single_dashed.svg');  }

[data-LM="H_L"]  { content: url('/unity-public/icons/roadicons/roadIcons_LM_hatched_left.svg');  }
[data-LM="H_R"]  { content: url('/unity-public/icons/roadicons/roadIcons_LM_hatched_right.svg');  }

[data-LM="Premium"]  { content: url('/unity-public/icons/roadIcons/roadIcons_LM_premium.svg');  }

[data-LM_color="yellow"], .lmYellow { filter: var(--filter-roadIcons-yellow); }

.textElement
{
    font-style: normal;
    line-height: normal;
}
.textElement.italic
{
    font-style: italic !important;
}

.textElement.centered
{
    text-align: center;
    width: 100%;
}
.textElement.centeredHeight
{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-self: stretch;
    
    height: 100%;
    width: fit-content;
}

.textElement.headerLarge
{
    font-size: var(--font-headerLarge);
    font-weight: 800;
    letter-spacing: var(--font-letter-spacing);
}
.textElement.header
{
    font-size: var(--font-header);
    font-weight: 800;
    letter-spacing: var(--font-letter-spacing);
}
.textElement.headerSmall
{
    font-size: var(--font-headerSmall);
    font-weight: 800;
    letter-spacing: var(--font-letter-spacing);
}
.textElement.subheader
{
    font-size: var(--font-subheader);
    font-weight: 800;
    letter-spacing: calc(var(--font-letter-spacing) / 2);
}
.textElement.labelLarge
{
    font-size: var(--font-label_large);    
    letter-spacing: calc(var(--font-letter-spacing) / 4);
}
.textElement.labelMedium
{
    font-size: var(--font-label_medium);    
    letter-spacing: calc(var(--font-letter-spacing) / 4);
}
.textElement.labelMediumSmall
{
    font-size: var(--font-label_mediumSmall);    
    letter-spacing: calc(var(--font-letter-spacing) / 4);
}
.textElement.labelSmall
{
    font-size: var(--font-label_small);
    letter-spacing: calc(var(--font-letter-spacing) / 6);
}
.textElement.infoLarge
{
    font-size: var(--font-info_large);
    letter-spacing: calc(var(--font-letter-spacing) / 4);
}
.textElement.infoSmall
{
    font-size: var(--font-info_small);
    letter-spacing: calc(var(--font-letter-spacing) / 6);
}

.textElement.noLetterSpacing
{
    letter-spacing: 0px;
}

.textElement.bold
{
    font-weight: bold;
}

.textElement.codeBlock, .frameTextParagraph.codeBlock
{
    padding: var(--layout-gap);
    width: calc(100% - 2 * var(--layout-gap));
    margin: var(--layout-gap) 0px;
    background: var(--color-background-secondary-II);
    border-radius: var(--layout-border-radius);
    border: 1px solid var(--color-background-border-II);
}

.textElement.codeBlock.devNote, .frameTextParagraph.codeBlock.devNote
{
    background: var(--color-red-dark);
    border: 1px solid var(--color-red-light);
    color: var(--color-text-primary);
}

.textHighlight.DR1 { color: var(--color-assets-DynamicRoads1); }
.textHighlight.DR2 { color: var(--color-assets-DynamicRoads2); }
.textHighlight.RPfMVR1, .textHighlight.RPMVR1 { color: var(--color-assets-RoadPresetsMVR1); }
.textHighlight.RPfMVR2, .textHighlight.RPMVR2 { color: var(--color-assets-RoadPresetsMVR2); }
.textHighlight.RPfMVR3, .textHighlight.RPMVR3 { color: var(--color-assets-RoadPresetsMVR3); }
.textHighlight.RPfMVR4, .textHighlight.RPMVR4 { color: var(--color-assets-RoadPresetsMVR4); }
.textHighlight.DT1 { color: var(--color-assets-DynamicTraffic1); }
.textHighlight.DT2 { color: var(--color-assets-DynamicTraffic2); }
.textHighlight.secondary { color: var(--color-text-secondary); }
.textHighlight.link:hover
{
    cursor: pointer;
    text-decoration: underline;
    text-underline-offset: 30%;
}

/* animations */
@keyframes appear
{
    from  { opacity: 0; scale: 0.5; }
    to { opacity: 1; scale: 1; }
}


/* large Mobile (>= 480px) */
@media (min-width: 0px)
{
    :root
    {
        --layout-body-spacing: 20px;
        --layout-body-spacing-inner: 0px;
        --layout-border-height: 2px;

        --layout-grid-features-large: 1;
        --layout-grid-features: 1;
        --layout-grid-features-extensions: 1;
        --layout-grid-announcements: 1;

        --layout-frames-overview-height: 200px;
        --layout-frames-overview-labels-maxWidth: 500px;

        --layout-frames-linkContainer-height: 40px;
        --animation-appear-cover: 0%;
        
        --font-headerLarge: clamp(30px, 5vw, 44px);

        --layout-docs-menuWidth: 200px;
        --layout-docs-menuEntryHeight: 20px;
        --layout-grid-images-roadPresetsPreview: 2;
    }
    .linkButton { padding: calc(var(--layout-gap) / 2); }

    .mobileLinkTree > .frameLinkContainer > .linkButton > .hideMobile.A,
    .mobileLinkTree > .frameLinkContainer > .linkButton > .hideMobile.B,
    .linkTree > .frameLinkContainer > .linkButton > .hideMobile.A
    {
        display: none;
    }

    .innerContainer { gap: calc(var(--layout-body-spacing) * 2);  }

    .docsGroupHeader, .docsGroupEntry { min-height: calc(var(--layout-docs-menuEntryHeight)); }
}

/* large Mobile (>= 480px) */
@media (min-width: 480px)
{
    :root
    {
        --layout-body-spacing: 20px;
        --layout-body-spacing-inner: calc(var(--layout-body-spacing) * 1);
        --layout-border-height: 2px;

        --layout-grid-features-large: 1;
        --layout-grid-features: 2;
        --layout-grid-features-extensions: 1;
        --layout-grid-announcements: 1;

        --layout-frames-overview-height: 250px;
        --layout-frames-overview-labels-maxWidth: 550px;
        --layout-grid-images-roadPresetsPreview: 3;
    }

    .innerContainer { gap: calc(var(--layout-body-spacing) * 2); }
}

/* Tablet (>= 768px) */
@media (min-width: 768px)
{
    :root
    {
        --layout-body-spacing: 40px;
        --layout-body-spacing-inner: calc(var(--layout-body-spacing) * 1);
        --layout-border-height: 2px;

        --layout-grid-features-large: 2;
        --layout-grid-features: 2;
        --layout-grid-features-extensions: 2;
        --layout-grid-announcements: 1;

        --layout-frames-overview-height: 250px;
        --layout-frames-overview-labels-maxWidth: 550px;

        
        /* font sizes */
        /* Headings */
        --font-headerLarge: clamp(40px, 4vw, 60px);
        --font-header: clamp(28px, 4vw, 40px);
        --font-headerSmall: clamp(26px, 4vw, 32px);
        --font-subheader: clamp(18px, 2.5vw, 20px);

        /* Labels */
        --font-label_large: clamp(14px, 1.5vw, 16px);
        --font-label_medium: clamp(13px, 1.3vw, 14px);
        --font-label_mediumSmall: clamp(12px, 1.2vw, 13px);
        --font-label_small: clamp(11px, 1.1vw, 12px);

        /* Info text */
        --font-info_large: clamp(12px, 1.2vw, 13px);
        --font-info_small: clamp(10px, 1vw, 11px);

        --font-letter-spacing: clamp(4px, 0.6vw, 8px);

        --layout-frames-linkContainer-height: 45px;
        --layout-grid-images-roadPresetsPreview: 4;
    }
    .linkButton { padding: calc(var(--layout-gap) * 0.75); }

    .mobileLinkTree > .frameLinkContainer > .linkButton > .hideMobile.A,
    .linkTree > .frameLinkContainer > .linkButton > .hideMobile.A
    {
        display: flex;
    }

    .innerContainer { gap: var(--layout-body-spacing); }
}


/* Laptop (>= 1024px) */
@media (min-width: 1024px)
{
    :root
    {
        --layout-body-spacing: 40px;
        --layout-body-spacing-inner: calc(var(--layout-body-spacing) * 1);
        --layout-border-height: 2px;

        --layout-grid-features-large: 2;
        --layout-grid-features: 2;
        --layout-grid-features-extensions: 2;
        --layout-grid-announcements: 2;

        --layout-frames-overview-height: 250px;
        --layout-frames-overview-labels-maxWidth: 550px;

        --layout-frames-linkContainer-height: 50px;

        --layout-docs-menuWidth: 220px;
        --layout-docs-menuEntryHeight: 24px;
        --layout-grid-images-roadPresetsPreview: 5;
    }
    .linkButton { padding: var(--layout-gap); }
    .menu-tabs-group { display: flex; }
    .frameOverview { flex-direction: row; }

    .mobileLinkTree > .frameLinkContainer > .linkButton > .hideMobile.A { display: none; }
    .linkTree > .frameLinkContainer > .linkButton > .hideMobile.A,
    .linkTree > .frameLinkContainer > .linkButton > .hideMobile.B,    
    .frameHighlight > .frameLabelContainer > .frameHighlightLinkTree,
    .linkTreeElement { display: flex; }

    .innerContainer { gap: calc(var(--layout-body-spacing) / 2); }
}

/* Laptop (>= 1280px) */
@media (min-width: 1280px)
{
    :root
    {
        --layout-frames-overview-height: 300px;

        --animation-appear-cover: 10%;
    }
}

/* Desktop (>= 1440px) */
@media (min-width: 1440px)
{
    :root
    {
        --layout-body-spacing: 60px;
        --layout-body-spacing-inner: calc(var(--layout-body-spacing) * 4);
        --layout-border-height: 2px;

        --layout-grid-features-large: 3;
        --layout-grid-features: 4;
        --layout-grid-features-extensions: 3;
        --layout-grid-announcements: 3;

        --layout-frames-overview-height: 350px;
        --layout-frames-overview-labels-maxWidth: 600px;

        --layout-docs-menuWidth: 250px;
        --layout-docs-menuEntryHeight: 28px;
        --layout-grid-images-roadPresetsPreview: 6;
        
        .docsGroupHeader, .docsGroupEntry { min-height: calc(var(--layout-docs-menuEntryHeight) - 1 * var(--layout-padding)); }
    }
    

    .mobileLinkTree > .frameLinkContainer > .linkButton > .hideMobile.A
    {
        display: flex;
    }
}

/* Desktop (>= 1680px) */
@media (min-width: 1680px)
{    
    :root
    {
        --layout-frames-overview-height: 350px;
        --layout-frames-overview-labels-maxWidth: 800px;
    }

    .mobileLinkTree > .frameLinkContainer > .linkButton > .hideMobile.B
    {
        display: flex;
    }
}

/* Desktop (>= 1920px) */
@media (min-width: 1920px)
{
    :root
    {
        --layout-body-spacing: 100px;
        --layout-body-spacing-inner: calc(var(--layout-body-spacing) * 4);
        --layout-border-height: 2px;

        --layout-grid-features-large: 4;
        --layout-grid-features: 5;
        --layout-grid-features-extensions: 4;
        --layout-grid-announcements: 3;
        
        --layout-frames-overview-height: 450px;
        --layout-frames-overview-labels-maxWidth: 800px;

        
        --layout-docs-menuWidth: 280px;
        --layout-docs-menuEntryHeight: 30px;
    }
    

    .linkButton
    {
        width: var(--layout-frames-linkContainer-elem-width);
    }
}

/* Desktop (>= 2560px) */
@media (min-width: 2560px)
{
    
    :root
    {
        --layout-body-spacing: 100px;
        --layout-body-sideSpacing: calc((100vw - 1920px + (var(--layout-body-spacing) * 2)) / 2);
        --layout-body-spacing-inner: calc(var(--layout-body-spacing) * 2);

        --layout-menu-height: 50px;
    }

    .innerContainer
    {
        padding: var(--layout-body-spacing) var(--layout-body-sideSpacing);
    }
}